unit S3TC;

interface

uses Windows, SysUtils, GL, GLu, GLext, WGLext, GLtools, Textures, TextureCompression;

procedure CompressedFormatS3TC(tex: TTexture; fmt: cardinal);

implementation

var
  GL_EXT_texture_compression_s3tc_loaded: boolean = false;

procedure CompressedFormatS3TC;
begin
  if not GL_EXT_texture_compression_s3tc_loaded then
  begin
    if not glext_ExtensionSupported('GL_EXT_texture_compression_s3tc') then
      raise Exception.Create('GL_EXT_texture_compression_s3tc required!');
    GL_EXT_texture_compression_s3tc_loaded := true;
  end;
end;

end.
